Loading...
Searching...
No Matches
form_vf_assembly.cc

Go to the source code of this file.

## Namespaces

namespace | rheolef
| This file is part of Rheolef.
namespace | rheolef::details

## Macros

#define | _RHEOLEF_instanciate(T)

## Functions

template<class T>
T | norm_max (Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &m)
template<class T>
bool | check_is_symmetric (Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &m, const T &tol_m_max)
template<class T>
void | local_lump (Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &m)
template<class T>
void | local_invert (Eigen::Matrix< T, Eigen::Dynamic, Eigen::Dynamic > &m, bool is_diag)

## Macro Definition Documentation

## _RHEOLEF_instanciate

#define _RHEOLEF_instanciate | ( |  | T | ) |

Value:
template T norm_max (Eigen::Matrix<T,Eigen::Dynamic,Eigen::Dynamic>& m); \
template bool check_is_symmetric (Eigen::Matrix<T,Eigen::Dynamic,Eigen::Dynamic>&, const T&); \
template void local_lump (Eigen::Matrix<T,Eigen::Dynamic,Eigen::Dynamic>&); \
template void local_invert (Eigen::Matrix<T,Eigen::Dynamic,Eigen::Dynamic>&, bool); \
T
Expr1::float_type T
Definition field_expr.h:230

Definition at line 102 of file form_vf_assembly.cc.